Summary: The stylesheets used at Cygnus for SGML conversion.
name: stylesheets
Packager: Owen Taylor <otaylor@redhat.com>
%define version 0.13rh
%define release 4
%define dbversion 152
version: %{version}
release: %{release}
Prereq: sgml-common

Patch0:    stylesheets-0.13.emptytags.patch

Requires: docbook
Source: stylesheets.tgz
Source1: http://www.nwalsh.com/docbook/dsssl/db%{dbversion}.zip
Source2: http://www.nwalsh.com/docbook/dsssl/db%{dbversion}d.zip
Copyright: Mark Eichin, Cygnus Solutions; Mark Burton (markb@ordern.com); Mark Galassi (Cygnus Solutions) for dbtohtml.dsl; Jon Bosak, Sun Microsystems for bosak-db3 and docbook.dsl, norm@berkshire.net for the nwalsh-modular/ hierarchy; Mark Galassi (Cygnus Solutions) for cygnus-both.dsl: contains Cygnus customizations for the DocBook modular stylesheets.
Group: Applications/Text
BuildArch: noarch
BuildPreReq: unzip
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Prefix: /usr

%description
The stylesheets package contains a collection of stylesheets used at
Cygnus for SGML (Standard Generalized Markup Language) conversion,
particularly with Docbook.  The stylesheets themselves will be in
/usr/lib/sgml/stylesheets.  Experimental entries are added to the
catalog.  Some simple scripts are included to facilitate using the
stylesheets, which are almost entirely the work of Norm Walsh
(norm@walsh.co).

%prep
%setup -c
unzip %{SOURCE1}
unzip %{SOURCE2}
%patch -p1 -b .emptytags

%build
echo "nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
mkdir -p \
 $RPM_BUILD_ROOT/%{prefix}/lib/sgml/{dtds/decls,stylesheets/nwalsh-modular}
install stylesheets/*.cat $RPM_BUILD_ROOT/%{prefix}/lib/sgml/
install docbook/VERSION $RPM_BUILD_ROOT/%{prefix}/lib/sgml/stylesheets/nwalsh-modular/VERSION
install docbook/catalog $RPM_BUILD_ROOT/%{prefix}/lib/sgml/nwalsh-modular.cat
install docbook/dtds/decls/docbook.dcl $RPM_BUILD_ROOT/%{prefix}/lib/sgml/dtds/decls/
install stylesheets/*.dsl $RPM_BUILD_ROOT/%{prefix}/lib/sgml/stylesheets/

# Just install the whole docbook mess, even though we don't need
# all these files. I'll let better people figure out what we need.
# OWT

cd docbook
for i in `find . -type f` ; do
  install -m 0644 -D $i $RPM_BUILD_ROOT/%{prefix}/lib/sgml/stylesheets/nwalsh-modular/$i
done
cd ..

for i in stylesheets/*.sh; do
  j=`basename $i .sh`
  install $i $RPM_BUILD_ROOT/%{prefix}/bin/$j
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{prefix}/bin/install-catalog --install stylesheets --version $V >/dev/null
%{prefix}/bin/install-catalog --install nwalsh-modular --version $V >/dev/null

%postun
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{prefix}/bin/install-catalog --remove stylesheets --version $V >/dev/null
%{prefix}/bin/install-catalog --remove nwalsh-modular --version $V >/dev/null

%files
%defattr(-,root,root)
%doc docbook/BUGS docbook/README docbook/TODO
%{prefix}/lib/sgml/dtds/*
%{prefix}/lib/sgml/stylesheets/*
%{prefix}/lib/sgml/stylesheets.cat
%{prefix}/lib/sgml/nwalsh-modular.cat
%{prefix}/bin/*

%changelog
* Thu Feb 10 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to make docbook understand self-identifying empty tags
- upgraded to version 152

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- update to 1.49
- sanitize spec file some

* Mon Nov 29 1999 Tim Powers <timp@redhat.com>
- updated to 1.46

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- updated to 1.42, docs are in separate zip file

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- quiet scripts

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Updated to Norman Walsh v. 1.4
- Made noarch

* Thu Apr 22 1999 Owen Taylor <otaylor@redhat.com>
- Made requires for sgml-common into prereq
